#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	yaml-cpp
Version		:	0.8.0
Release		:	14.4.0.0%{?dist}
Summary		:	A YAML parser and emitter in C++ matching the YAML 1.2 spec

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/jbeder/yaml-cpp/releases


Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
Buildrequires	:	cmake
Buildrequires	:	gcc
#-----------------------------------------------------------------------------
%description
yaml-cpp is a YAML parser and emitter in C++ matching the YAM 1.2 spec.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/contrib/*.h
%{_includedir}/%{name}/node/*.h
%{_includedir}/%{name}/node/detail/*.h
%{_libdir}/lib%{name}.so*
%{_libdir}/cmake/%{name}/%{name}-*.cmake
%{_libdir}/pkgconfig/%{name}.pc

#==============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} bld
pushd bld

cmake								\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D LIB_SUFFIX=""					\
	-D YAML_CPP_BUILD_TOOLS=OFF				\
	-D YAML_CPP_BUILD_TESTS=OFF				\
	-D YAML_BUILD_SHARED_LIBS=ON 				\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C bld							\
	DESTDIR=%{buildroot}					\
	install

#To remove static library
find 								\
	%{buildroot}%{_libdir}					\
	-name \*.a						\
	-delete

#-----------------------------------------------------------------------------
%changelog
